--__________         __    __  .__           ___________
--\______   \_____ _/  |__/  |_|  |   ____   \_   _____/__________
-- |    |  _/\__  \\   __\   __\  | _/ __ \   |    __)/  _ \_  __ \
-- |    |   \ / __ \|  |  |  | |  |_\  ___/   |     \(  <_> )  | \/
-- |______  /(____  /__|  |__| |____/\___  >  \___  / \____/|__|
--        \/      \/                     \/       \/
--   _____                     .___.__
--  /     \ _____    ____    __| _/|__| ____  ___________
-- /  \ /  \\__  \  /    \  / __ | |  |/ ___\/  _ \_  __ \
--/    Y    \/ __ \|   |  \/ /_/ | |  \  \__(  <_> )  | \/
--\____|__  (____  /___|  /\____ | |__|\___  >____/|__|
--        \/     \/     \/      \/         \/

--      upgrade.lua - Upgrades and researchs
--
--      (c) Copyright 2005 by Kimmo Merikivi
--
--      This program is free software; you can redistribute it and/or modify
--      it under the terms of the GNU General Public License as published by
--      the Free Software Foundation; either version 2 of the License, or
--      (at your option) any later version.
--  
--      This program is distributed in the hope that it will be useful,
--      but WITHOUT ANY WARRANTY; without even the implied warranty of
--      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--      GNU General Public License for more details.
--  
--      You should have received a copy of the GNU General Public License
--      along with this program; if not, write to the Free Software
--      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

---------------------------------------------------------------------------------------------
---------------------------------------------------------------------------------------------

-- Load the different races
Load("scripts/dwarves/upgrade.lua")
Load("scripts/darkness/upgrade.lua")

--	NOTE: Save can generate this table.

DefineAllow("unit-gold-mine",			"AAAAAAAAAAAAAAAA")
DefineAllow("unit-oil-patch",			"AAAAAAAAAAAAAAAA")
DefineAllow("unit-tux",				"AAAAAAAAAAAAAAAA")
DefineAllow("unit-fortress",			"AAAAAAAAAAAAAAAA")
DefineAllow("unit-wizard-of-yendor",		"AAAAAAAAAAAAAAAA")

DefineAllow("unit-dead-body",			"AAAAAAAAAAAAAAAA")
DefineAllow("unit-destroyed-1x1-place",		"AAAAAAAAAAAAAAAA")
DefineAllow("unit-destroyed-2x2-place",		"AAAAAAAAAAAAAAAA")
DefineAllow("unit-destroyed-3x3-place",		"AAAAAAAAAAAAAAAA")
DefineAllow("unit-destroyed-4x4-place",		"AAAAAAAAAAAAAAAA")
